def osztogat(osztando, legkisebb_oszto):
    if (legkisebb_oszto == 0):
        raise ZeroDivisionError("Túl kicsi számot adtál meg legkisebb osztó gyanánt.")
    elif (osztando != round(osztando) or osztando < legkisebb_oszto):
        raise Exception("Egy nagyobb és egy kisebb egész számot várok paraméterként.")
    elif osztando == legkisebb_oszto:
        return(osztando / legkisebb_oszto)
    else:
        return(osztando / osztogat(osztando - 1, legkisebb_oszto))

try:
    osztogat(4, 1) # ez nem dob hibát
    # osztogat(4, 0) # ez ZeroDivisionErrort dob
    # osztogat(4, 6) # ez egyéb hibát dob
    # osztogat(3.5, 1) # ez egyéb hibát dob
except ZeroDivisionError as hiba:
    print("Nullával való osztás történt: " + str(hiba))
except Exception as hiba:
    print("Valamilyen egyéb hiba lépett fel: " + str(hiba))
else:
    print("Sikerült az osztogatás.")


